NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.DisplayModification Class Reference

Represents changes to the display characteristics of an object. More...

Inheritance diagram for NXOpen.DisplayModification:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Member Functions

unsafe void Apply (NXOpen.DisplayableObject[] objects)
 Apply this display modification to a set of objects More...
 
unsafe void GetNewGrid (out int uGrid, out int vGrid)
 Get grid count for objects which will be modified. More...
 
unsafe void SetNewGrid (int uGrid, int vGrid)
 Set a new grid count for objects which will be modified. More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Free resources associated with the instance. More...
 

Properties

unsafe bool ApplyToAllFaces [get, set]
 Returns or sets the apply to all faces flag. More...
 
unsafe bool ApplyToOwningParts [get, set]
 Returns or sets the flag to apply display changes to Owning Parts. More...
 
unsafe bool FaceAnalysisMode [get, set]
 Returns or sets the face analysis mode flag. More...
 
unsafe bool KnotDisplayState [get, set]
 Returns or sets the flag for knot display. More...
 
unsafe int NewColor [get, set]
 Returns or sets a new color for objects which will be modified. More...
 
unsafe
NXOpen.DisplayableObject.ObjectFont 
NewFont [get, set]
 Returns or sets a new font (line style) for objects which will be modified More...
 
unsafe int NewLayer [get, set]
 Returns or sets a new layer for objects which will be modified. More...
 
unsafe int NewTranslucency [get, set]
 Returns or sets a new translucency value for objects which will be modified. More...
 
unsafe
NXOpen.DisplayableObject.ObjectWidth 
NewWidth [get, set]
 Returns or sets a new line width for objects which will be modified More...
 
unsafe bool PartiallyShaded [get, set]
 Returns or sets the partial shading flag. More...
 
unsafe bool PointShowThrough [get, set]
 Returns or sets the show through flag of point display. More...
 
unsafe int PointSymbol [get, set]
 Returns or sets a new symbol for points which will be modified More...
 
unsafe bool PoleDisplayState [get, set]
 Returns or sets the flag for pole display. More...
 
unsafe bool ShowObjectName [get, set]
 Returns or sets the flag to show name for selected objects. More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

Represents changes to the display characteristics of an object.

Input to this class can be PSM facet objects.

Created in NX3.0.0

Member Function Documentation

unsafe void NXOpen.DisplayModification.Apply ( NXOpen.DisplayableObject[]  objects)
inline

Apply this display modification to a set of objects

Created in NX3.0.0

License requirements: None.

Parameters
objectsobjects to be modified
override void NXOpen.DisplayModification.FreeResource ( )
inlineprotectedvirtual

Free resources associated with the instance.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX3.0.0

License requirements: None.

Implements NXOpen.TransientObject.

unsafe void NXOpen.DisplayModification.GetNewGrid ( out int  uGrid,
out int  vGrid 
)
inline

Get grid count for objects which will be modified.

Only applies to faces.

Created in NX3.0.0

License requirements: None.

Parameters
uGridnumber of grid lines in the u direction
vGridnumber of grid lines in the v direction
unsafe void NXOpen.DisplayModification.SetNewGrid ( int  uGrid,
int  vGrid 
)
inline

Set a new grid count for objects which will be modified.

Created in NX3.0.0

License requirements: None.

Parameters
uGridnumber of grid lines in the u direction
vGridnumber of grid lines in the v direction

Property Documentation

unsafe bool NXOpen.DisplayModification.ApplyToAllFaces
getset

Returns or sets the apply to all faces flag.

Specifies whether the modification should apply to all faces of any bodies to which this is applied.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.ApplyToOwningParts
getset

Returns or sets the flag to apply display changes to Owning Parts.

Specifies whether the display modifications should apply to the owning parts of the selected objects.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.FaceAnalysisMode
getset

Returns or sets the face analysis mode flag.

Only applies to faces.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.KnotDisplayState
getset

Returns or sets the flag for knot display.

Only applies to b-spline.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.DisplayModification.NewColor
getset

Returns or sets a new color for objects which will be modified.

This is in the range from 1 to 216.

To convert an RGB value to an NX color index, use UF_DISP_ask_closest_color. To convert a color name to an NX color index, use UF_DISP_ask_closest_color_in_displayed_part or UF_DISP_ask_closest_color_in_part. For unmanaged C++, use these functions directly. Otherwise, use the corresponding wrapper methods of class NXOpen.UF.UFDisp.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.DisplayableObject.ObjectFont NXOpen.DisplayModification.NewFont
getset

Returns or sets a new font (line style) for objects which will be modified

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.DisplayModification.NewLayer
getset

Returns or sets a new layer for objects which will be modified.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.DisplayModification.NewTranslucency
getset

Returns or sets a new translucency value for objects which will be modified.

Only applies to faces.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.DisplayableObject.ObjectWidth NXOpen.DisplayModification.NewWidth
getset

Returns or sets a new line width for objects which will be modified

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.PartiallyShaded
getset

Returns or sets the partial shading flag.

Only applies to faces.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.PointShowThrough
getset

Returns or sets the show through flag of point display.

Only applies to points.

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.DisplayModification.PointSymbol
getset

Returns or sets a new symbol for points which will be modified

Created in NX1872.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.PoleDisplayState
getset

Returns or sets the flag for pole display.

Only applies to b-spline.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.DisplayModification.ShowObjectName
getset

Returns or sets the flag to show name for selected objects.

It only takes effects when NXOpen.Preferences.PartVisualizationNamesBorders.ObjectNameDisplay is NXOpen.Preferences.PartVisualizationNamesBorders.NameDisplay.ObjectDisplaySpecific .

Created in NX1899.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.